@charset "UTF-8";

.mymall-comment {
    padding: 100px 35px 40px 35px;
}

/****頭部****/
.mymall-comment__head {
    display: flex;
    align-items: center;
    align-content: center;
    justify-items: flex-start;
    justify-content: flex-start;
    width: 100%;
    max-width: 1150px;
    margin: 0 auto;
    padding: 0 0 40px 0;
    border-bottom: 2px solid rgba(91, 93, 101, .1);
}

.mymall-comment__head__title {
    display: block;
    width: 100%;
    flex: 0 1 auto;
}

.mymall-comment__head__title__main {
    display: block;
    width: 100%;
    font-size: 35px;
    line-height: 1.2;
    color: #44464e;
    font-family: 'NotoSansTC-B';
}

.mymall-comment__head__title__score {
    width: 100%;
    margin: 15px 0 0 0;
}

.mymall-comment__head__title__score .c-info__inner__content__data__star__title {
    font-size: 28px;
}

.mymall-comment__head__title__score .c-info__inner__content__data__star__item__poin {
    width: 25px;
    height: 25px;
}

.mymall-comment__head__title__score .c-info__inner__content__data__star__item__point::after {
    background-image: url(../images/common/icon_star_fram_white.svg);
}

.mymall-comment__head__title__score .c-info__inner__content__data__star__count {
    font-size: 17px;
}

.mymall-comment__head__btGroup {
    display: block;
    width: 200px;
    margin: 0 0 0 20px;
    flex: 0 0 auto;
}

.mymall-comment__head__btGroup__bt {
    justify-items: center;
    justify-content: center;
    width: 100%;
    padding: 20px 40px;
}

/****內文****/
.mymall-comment__inner {
    display: block;
    width: 100%;
    max-width: 1150px;
    margin: 0 auto;
}

.mymall-comment__inner__item {
    display: flex;
    align-items: center;
    align-content: center;
    justify-items: flex-start;
    justify-content: flex-start;
    width: 100%;
    padding: 40px 0;
}

.mymall-comment__inner__item:last-child {
    padding: 40px 0 0 0;
}

.mymall-comment__inner__item:last-child::after {
    display: none;
}

.mymall-comment__inner__item::after {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    display: block;
    width: 100%;
    height: 2px;
    background: linear-gradient(to right, rgba(0, 0, 0, .3) 33%, rgba(0, 0, 0, 0) 0%) left bottom repeat-x;
    background-size: 6px 2px;
}

.mymall-comment__inner__item__pic {
    display: block;
    width: 140px;
    height: 140px;
    border-radius: 50%;
    margin: 0 20px 0 0;
    background: url(../images/avatar/avatar_default.png) center no-repeat;
    background-size: cover;
    overflow: hidden;
    flex: 0 0 auto;
}

.mymall-comment__inner__item__content {
    display: block;
    width: 100%;
}

.mymall-comment__inner__item__content__sub {
    display: block;
    width: 100%;
    font-size: 15px;
    line-height: 1.2;
    color: #44464e;
    margin: 0 0 7.5px 0;
}

.mymall-comment__inner__item__content__score .c-info__inner__content__data__star__title {
    display: none;
}

.mymall-comment__inner__item__content__score .c-info__inner__content__data__star__item {
    margin: 0;
}

.mymall-comment__inner__item__content__score .c-info__inner__content__data__star__item__point::after {
    background-image: url(../images/common/icon_star_fram_white.svg);
}

.mymall-comment__inner__item__content__text {
    display: block;
    width: 100%;
    font-size: 18px;
    line-height: 1.5;
    color: #44464e;
    font-family: 'NotoSansTC-M';
}

.mymall-comment__inner__item__content__text::before {
    content: '';
    position: relative;
    display: block;
    width: 40px;
    height: 1px;
    margin: 15px 0 10px 0;
    background: rgba(0, 0, 0, .2);
}

/****評論lightbox****/
#comment:checked~.c-lightbox-comment {
    opacity: 1;
    pointer-events: all;
    visibility: visible;
}

/**內文**/
.lightbox__box-comment__body__title {
    display: flex;
    align-items: center;
    align-content: center;
    justify-items: flex-start;
    justify-content: flex-start;
    width: 100%;
    padding: 20px 0;
}

.lightbox__box-comment__body__title::after {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    display: block;
    width: 100%;
    height: 2px;
    background: linear-gradient(to right, rgba(0, 0, 0, .3) 33%, rgba(0, 0, 0, 0) 0%) left bottom repeat-x;
    background-size: 6px 2px;
}

.lightbox__box-comment__body__title__pic {
    display: block;
    width: 60px;
    height: 60px;
    margin: 0 15px 0 0;
    background: url(../images/avatar/avatar_default.png) center no-repeat;
    background-size: cover;
    flex: 0 0 auto;
}

.lightbox__box-comment__body__title__content {
    display: block;
    width: 100%;
    flex: 0 1 auto;
}

.lightbox__box-comment__body__title__content__text {
    display: block;
    width: 100%;
    font-size: 15px;
    line-height: 1.5;
    color: #44464e;
}

.lightbox__box-comment__body__item {
    display: flex;
    align-items: flex-start;
    align-content: flex-start;
    justify-items: flex-start;
    justify-content: flex-start;
    width: 100%;
    padding: 30px 0;
    border-bottom: 2px solid rgba(91, 93, 101, .1);
}

.lightbox__box-comment__body__item.nowrap {
    align-items: center;
    align-content: center;
}

/**標題**/
.lightbox__box-comment__body__item__title {
    display: block;
    width: auto;
    font-size: 17px;
    line-height: 1.2;
    color: #44464e;
    font-family: 'NotoSansTC-M';
    margin: 0 30px 0 0;
    flex: 0 0 auto;
}

/**評分星星**/
.lightbox__box-comment__body__item__star {
    margin: 0;
    flex: 0 1 auto;
}

.lightbox__box-comment__body__item__star .c-info__inner__content__data__star__item__point {
    width: 30px;
    height: 30px;
    cursor: pointer;
}

.lightbox__box-comment__body__item__star .c-info__inner__content__data__star__item__point::after {
    background-image: url(../images/common/icon_star_fram_white.svg);
}

/**textarea**/
.lightbox__box-comment__body__item textarea {
    flex: 0 1 auto;
}

/**按鈕區域**/
.lightbox__box-comment .c-lightbox__box__body__btgroup {
    padding: 40px 0;
    margin: 0 auto;
}

.lightbox__box-comment .c-lightbox__box__body__btgroup__bt {
    display: flex;
    width: calc(50% - 5px);
    max-width: 200px;
}

@media screen and (max-width: 991px) {
    .mymall-comment {
        padding: 50px 35px 40px 35px;
    }

    /****評論lightbox****/
    /**內文**/
    .lightbox__box-comment__body__item {
        padding: 30px 0;
    }

}

@media screen and (max-width: 767px) {

    /****頭部****/
    .mymall-comment__head {
        display: block;
    }

    .mymall-comment__head__btGroup {
        width: 100%;
        margin: 20px auto 0 auto;
    }
}

@media screen and (max-width: 575px) {
    .mymall-comment {
        padding: 30px 20px 20px 20px;
    }

    /****頭部****/
    .mymall-comment__head {
        padding: 0 0 25px 0;
    }

    .mymall-comment__head__title__main {
        font-size: 20px;
    }

    .mymall-comment__head__title__score {
        margin: 10px 0 0 0;
    }

    .mymall-comment__head__title__score .c-info__inner__content__data__star__title {
        font-size: 18px;
    }

    .mymall-comment__head__title__score .c-info__inner__content__data__star__item__poin {
        width: 16.5px;
        height: 16.5px;
    }

    .mymall-comment__head__title__score .c-info__inner__content__data__star__count {
        font-size: 15px;
    }

    .mymall-comment__head__btGroup__bt {
        padding: 11px 40px;
    }

    /****內文****/
    .mymall-comment__inner__item {
        padding: 20px 0;
    }

    .mymall-comment__inner__item:last-child {
        padding: 20px 0 0 0;
    }

    .mymall-comment__inner__item__pic {
        width: 60px;
        height: 60px;
        margin: 0 15px 0 0;
    }

    .mymall-comment__inner__item__content__sub {
        font-size: 12px;
    }

    .mymall-comment__inner__item__content__text {
        font-size: 13px;
    }

    .mymall-comment__inner__item__content__text::before {
        width: 25px;
        margin: 7.5px 0 5px 0;
    }

    /****評論lightbox****/
    /**內文**/
    .lightbox__box-comment__body__title__pic {
        width: 55px;
        height: 55px;
        margin: 0 10px 0 0;
    }

    .lightbox__box-comment__body__title__content__text {
        font-size: 14px;
    }

    .lightbox__box-comment__body__item {
        display: block;
        padding: 20px 0;
    }

    .lightbox__box-comment__body__item:nth-last-of-type(2) {
        border: none;
    }

    .lightbox__box-comment__body__item.nowrap {
        display: flex;
    }

    .lightbox__box-comment__body__item__title {
        font-size: 15px;
        margin: 0 0 10px 0;
    }

    .lightbox__box-comment__body__item.nowrap .lightbox__box-comment__body__item__title {
        margin: 0 15px 0 0;
    }

    /**評分星星**/
    .lightbox__box-comment__body__item__star .c-info__inner__content__data__star__item__point {
        width: 20px;
        height: 20px;
    }

    /**按鈕區域**/
    .lightbox__box-comment .c-lightbox__box__body__btgroup {
        justify-content: space-between;
        padding: 0 0 20px 0;
    }

    .lightbox__box-comment .c-lightbox__box__body__btgroup__bt {
        width: calc(50% - 10px);
        max-width: none;
        margin: 0;
    }
}



/****IOS樣式****/
@supports (-webkit-touch-callout: none) {}